#ifndef M_CLIENTQ_H
#define M_CLIENTQ_H
/* Pxys - An IRC ProxyScan, m_clientq.h
 * 
 * Copyright (C) 2001 Stephane Thiell <mbuna@undernet.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * $Id: m_clientq.h,v 1.4 2002/04/21 16:05:53 mbuna Exp $
 */


#include "config.h"
#include "yxx.h"

struct listelement {
   yxx cliyxx;
   struct listelement *link;
};

typedef struct listelement 	listelement;



void clientq_init();
void clientq_destroy();
void clientq_drop(int n);
void clientq_queue(const yxx* cliyxx);
int  clientq_deque(yxx** out_cliyxx);
void clientq_stats(int* osize, int* oaesize);

#endif  /* M_CLIENTQ_H */
